#
# spec file for package patterns-containers
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           patterns-containers
Version:        5.1
Release:        6.6
Summary:        Patterns for container technologies
License:        MIT
Group:          Metapackages
URL:            https://github.com/openSUSE/patterns
Source0:        %{name}-rpmlintrc
ExclusiveArch:  x86_64 %{arm} aarch64 ppc64le s390x riscv64

%description
This is an internal package that is used to create the patterns as part
of the installation source setup. Installation of this package does
not make sense.

%package container_runtime
Summary:        Container Runtime for non-clustered systems
Group:          Metapackages
Provides:       pattern() = container_runtime
Provides:       pattern-category() = Containers
Provides:       pattern-icon() = pattern-kubic
Provides:       pattern-order() = 9030
Provides:       pattern-visible()
Requires:       containers-systemd
Requires:       podman
Requires:       (distrobox if patterns-microos-desktop-common else toolbox)
Suggests:       toolbox
Requires:       pattern() = basesystem
#Obsolete CaaSP Patterns
Provides:       patterns-caasp-container-runtime
Obsoletes:      patterns-caasp-container-runtime <= 4.0

%description container_runtime
This pattern installs the default container runtime packages for non-clustered systems.

%prep
# empty on purpose

%build
# empty on purpose

%install
mkdir -p %{buildroot}%{_docdir}/patterns-containers/
echo 'This file marks the pattern container_runtime to be installed.' >%{buildroot}%{_docdir}/patterns-containers/container_runtime.txt

%files container_runtime
%dir %{_docdir}/patterns-containers
%{_docdir}/patterns-containers/container_runtime.txt

%changelog
* Tue Jun 27 2023 Danish Prakash <danish.prakash@suse.com>
- Remove unused podman-cni-config package
* Tue Oct 11 2022 Richard Brown <rbrown@suse.com>
- Suggest toolbox, else the recent boolean change makes desktop+distrobox
  the default even for container hosts
* Wed Oct  5 2022 Guillaume GARDET <guillaume.gardet@opensuse.org>
- Enable build on 32-bit Arm
* Fri Sep 30 2022 Dirk Müller <dmueller@suse.com>
- spec-cleaning
- enable building for RISCV64
* Tue Sep 27 2022 Attila Pinter <adathor@opensuse.org>
- Added Boolean operator to install distrobox if  patterns-microos-desktop-common,
  but install toolbox if patterns-microos-desktop-common is not installed
* Wed Jun 15 2022 Richard Brown <rbrown@suse.com>
- Remove kubernetes patterns, now found in patterns-kubernetes
- Bump version to 5.1 for easy provides/obsoletes in patterns-kubernetes
* Thu Jun  2 2022 Thorsten Kukuk <kukuk@suse.com>
- Remove patterns for Kubic specific system roles
* Wed Oct 27 2021 Fabian Vogt <fvogt@suse.com>
- Only require rook on architectures it's available on
* Mon Jul  5 2021 Richard Brown <rbrown@suse.com>
- Remove cilium from kubeadm pattern
* Mon Aug 31 2020 Richard Brown <rbrown@suse.com>
- kubeadm pattern now requires kuberlr to facilitate transparent multi-version kubectl useage
* Mon Jun 29 2020 Richard Brown <rbrown@suse.com>
- Remove duplicate word in description of kubic_admin pattern
- Fix Summary of kubeadm pattern to start with a capital letter
* Wed Apr 22 2020 Richard Brown <rbrown@suse.com>
- Require containers-systemd for container-runtime pattern
* Wed Mar 11 2020 Thorsten Kukuk <kukuk@suse.com>
- Add kube-prometheus-k8s-yaml to kubeadm pattern
* Mon Mar  2 2020 Thorsten Kukuk <kukuk@suse.com>
- Add nfs-client-provisioner-k8s-yaml to kubeadm pattern
* Wed Feb 26 2020 Richard Brown <rbrown@suse.com>
- Prevent building of kubic-specific patterns in SLE/Leap
* Sat Feb 22 2020 Thorsten Kukuk <kukuk@suse.com>
- Add busybox-k8s-yaml to kubeadm pattern
* Thu Feb 20 2020 Michał Rostecki <mrostecki@suse.com>
- Add helm to kubeadm pattern
  (https://github.com/kubic-project/issues/issues/10)
* Sun Dec 22 2019 kukuk@suse.de
- loadbalancer: add kubic-haproxycfg
* Thu Nov  7 2019 kukuk@suse.de
- Add k9s to kubernetes utilities pattern
* Tue Oct  8 2019 kukuk@suse.de
- Add toolbox to the container runtime pattern
* Thu Sep  5 2019 kukuk@suse.de
- Add reg to kubernetes utilities pattern
* Sat Aug 24 2019 kukuk@suse.de
- Add hello-kubic-k8s-yaml to kubeadm pattern
* Thu Aug  8 2019 kukuk@suse.de
- Add yomi salt states to Kubic admin node
* Wed Jul 31 2019 kukuk@suse.de
- Add kubic loadbalancer pattern
* Sun Jul 28 2019 kukuk@suse.de
- Add kail to kubernetes_utilities
* Fri Jul 26 2019 kukuk@suse.de
- Add weave-k8s-yaml to kubeadm pattern
* Fri Jul 12 2019 Denis Kondratenko <denis.kondratenko@suse.com>
- Add Rook manifest files to Kubic
* Tue Jun 25 2019 kukuk@suse.de
- Add new pattern for kubernetes utilities
* Fri Jun  7 2019 kukuk@suse.de
- Add flannel-k8s-yaml
* Fri May 24 2019 Michal Rostecki <mrostecki@opensuse.org>
- kubeadm pattern:
  - add cilium-k8s-yaml
* Fri May 10 2019 kukuk@suse.de
- kubeadm pattern:
  - remove multipath-tools, no need to install it by default
* Fri May 10 2019 kukuk@suse.de
- kubeadm pattern:
  - Adjust name of kured yaml file to kured-k8s-yaml
  - Add metallb-k8s-yaml
* Tue May  7 2019 Richard Brown <rbrown@suse.de>
- Add kubic_worker and kubic_admin patterns [boo#1134332]
* Thu Apr 11 2019 Richard Brown <rbrown@suse.com>
- Correctly obsolete patterns-caasp-* version 4.0
* Tue Mar 19 2019 Richard Brown <rbrown@suse.com>
- Initial version
